Debian Bug report logs - #665971
FTCBFS: Cross build calls wrong-arch strip

version graph

Package: src:dash; Maintainer for src:dash is Gerrit Pape <pape@smarden.org>;

Reported by: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>

Date: Tue, 27 Mar 2012 13:03:02 UTC

Severity: normal

Tags: patch

Merged with 665965, 717965

Found in version dash/0.5.7-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#665971; Package dash. (Tue, 27 Mar 2012 13:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 27 Mar 2012 13:03:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTCBFS: Cross build calls wrong-arch strip
Date: Tue, 27 Mar 2012 14:15:39 +0200
[Message part 1 (text/plain, inline)]
Package: dash
Version: 0.5.7-2ubuntu1
Severity: normal
Tags: patch

Dash does not call the correct arch strip so cross-builds fail right at
the end.

debian/rules binary
rm -rf '/tmp/dash-0.5.7/debian/ash'
install -d -m0755 '/tmp/dash-0.5.7/debian/ash'/bin
ln -s dash '/tmp/dash-0.5.7/debian/ash'/bin/ash
install -d -m0755 '/tmp/dash-0.5.7/debian/ash'/usr/share/man/man1/
ln -s dash.1.gz
'/tmp/dash-0.5.7/debian/ash'/usr/share/man/man1/ash.1.gz
# changelog
test -r changelog || ln -s ChangeLog changelog
# dash
rm -rf '/tmp/dash-0.5.7/debian/dash'
install -d -m0755 '/tmp/dash-0.5.7/debian/dash'/bin
install -m0755 build-tmp/src/dash
'/tmp/dash-0.5.7/debian/dash'/bin/dash
strip -R .comment -R .note '/tmp/dash-0.5.7/debian/dash'/bin/dash
strip: Unable to recognise the format of the input file
`/tmp/dash-0.5.7/debian/dash/bin/dash'
make: *** [install-arch] Error 1
dpkg-buildpackage: error: debian/rules binary gave error exit status 2


- -- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (999, 'precise-updates'), (999, 'precise'), (500,
'precise-security'), (50, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-14-generic (SMP w/8 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dash depends on:
ii  debianutils  4.2.1ubuntu1
ii  dpkg         1.16.1.2ubuntu5
ii  libc6        2.15-0ubuntu6

dash recommends no packages.

dash suggests no packages.

- -- debconf information excluded
[dash.deb.diff (text/x-patch, attachment)]

Merged 665965 665971 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 27 Mar 2012 13:36:22 GMT) Full text and rfc822 format available.

Disconnected #665965 from all other report(s). Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:43:45 GMT) Full text and rfc822 format available.

Merged 665965 665971 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 14:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#665971; Package dash. (Mon, 02 Jul 2012 21:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 02 Jul 2012 21:00:02 GMT) Full text and rfc822 format available.

Message #16 received at 665971@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 665971@bugs.debian.org
Cc: marcin.juszkiewicz@linaro.org, control@bugs.debian.org
Subject: Re: Bug#665971: FTCBFS: Cross build calls wrong-arch strip
Date: Mon, 02 Jul 2012 16:33:39 -0400
found 665971 0.5.7-3
user crossbuild@debian.org
usertags 665971 + cross
thanks

Hi,

Any news on this bug?

I just ran into this issue yesterday [1] while starting to cross build
base system packages.  With the one-line change Marcin proposed I was
able to cross build src:dash without a problem [2].

[1]:
http://bootstrap.pehjota.net/cross/builds/dash/dash_0.5.7-3_armhf-20120701-2018.build
[2]:
http://bootstrap.pehjota.net/cross/builds/dash/dash_0.5.7-3.1_armhf-20120701-2131.build

Thanks,
-- 
P. J. McDermott                                        (_/@\_)    ,--.
http://www.pehjota.net/                           o    < o o >   / oo \
http://www.pehjota.net/contact.html                 o   \ `-/    | <> |.
                                                o o o    "~v    /_\--/_/




Marked as found in versions dash/0.5.7-3. Request was from "P. J. McDermott" <pjm@nac.net> to control@bugs.debian.org. (Mon, 02 Jul 2012 21:00:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'dash' to 'src:dash'. Request was from "Patrick 'P. J.' McDermott" <pjm@nac.net> to control@bugs.debian.org. (Sun, 28 Jul 2013 19:27:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions dash/0.5.7-3 and 0.5.7-2ubuntu1. Request was from "Patrick 'P. J.' McDermott" <pjm@nac.net> to control@bugs.debian.org. (Sun, 28 Jul 2013 19:27:07 GMT) Full text and rfc822 format available.

Marked as found in versions dash/0.5.7-3. Request was from "Patrick 'P. J.' McDermott" <pjm@nac.net> to control@bugs.debian.org. (Sun, 28 Jul 2013 19:27:07 GMT) Full text and rfc822 format available.

Merged 665965 665971 717965 Request was from "Patrick 'P. J.' McDermott" <pjm@nac.net> to control@bugs.debian.org. (Sun, 28 Jul 2013 19:27:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:34:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.